# Luxsci::AllOfinlineResponse20060Data

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**server_id** | **String** | Unique server ID number. | [optional] 
**host** | **String** | Short name for your server. E.g., “rs999”. | [optional] 
**hostname** | **String** | Fully qualified name for your server. E.g., “rs999.luxsci.com”. | [optional] 
**cpu_cores** | **Integer** | Number of CPU Cores. | [optional] 
**ram_gb** | **Integer** | Number of GB of Physical Ram. | [optional] 
**premium_sla** | **String** | Boolean. If true (1), this server is flagged as obeying the Premium SLA. | [optional] 
**load_balanced** | **String** | Boolean. If true (1), this server is flagged as being part of a hardware load balanced group of servers. | [optional] 
**public_ip** | **String** | The main public IP address for this server.                       | [optional] 
**server_type_code** | **String** | This is a code of the format A-B.extra that uniquely identifies the kind of server that this is. A &#x3D; CPU Cores; B &#x3D; GB Ram; extra is used for AWS servers to indetify their flavor. X is one of: - o - Oracle Cloud Infrastructure - a AWS Public Cloud - p Physical Server - g General / other.&#x27; | [optional] 
**cpu_pct_load_1** | **Integer** | Percentage CPU utilization per core over the past 1 minute. This is derived from the Linux “uptime” command and is computed as the “(1-minute load average) * 100% / (CPU Cores)” | [optional] 
**cpu_pct_load_5** | **Integer** | Percentage CPU utilization per core over the past 5 minutes. | [optional] 
**cpu_pct_load_10** | **Integer** | Percentage CPU utilization per core over the past 15 minutes. | [optional] 
**seconds_since_reboot** | **Integer** | Number of seconds since the server was last rebooted. This is derived from the “uptime” Linux command. | [optional] 
**ram_free_mb** | **String** | Megabyes of RAM still available for use. This does not include swap space but does include used cache and buffer space. | [optional] 
**ram_pct_used** | **Integer** | Percentage of the RAM that is used, based on ram_free_mb and ram_gb | [optional] 
**swap_mb** | **Integer** | MB of SWAP space that the server has | [optional] 
**swap_free_mb** | **Integer** | MB of SWAP space that is not used. | [optional] 
**swap_pct_used** | **Integer** | Percentage of the SWAP space that is in use. | [optional] 
**bw_in_mb** | [**BigDecimal**](BigDecimal.md) | MB of inbound bandwidth, across all protocols, recorded over the most recent 15-minute interval. | [optional] 
**bw_out_mb** | [**BigDecimal**](BigDecimal.md) | MB of outbound bandwidth, across all protocols, recorded over the most recent 15-minute interval. | [optional] 
**bw_in_rate_mbps** | [**BigDecimal**](BigDecimal.md) | Megabytes/second of average sustained inbound bandwidth observed over the most recent 15-minute interval. | [optional] 
**bw_out_rate_mbps** | [**BigDecimal**](BigDecimal.md) | Megabytes/second of average sustained outbound bandwidth observed over the most recent 15-minute interval. | [optional] 
**mail_queue_processing_paused** | **Integer** | Values 1 or 0.  When 1, processing of additional messages (the ones indicated in the mail_queue_unprocessed parameter is suspended.  This does not impact messages that have been processed and are merely trying to be delivered. | [optional] 
**mail_queue_trying** | **Integer** | Number of email messages that are in the email queues waiting to be delivered to their ultimate recipients. This includes messages that have tried and failed to be delivered due to temporary failures or blocks. | [optional] 
**mail_queue_unprocessed** | **Integer** | Number of email messages that have been received, but which are waiting to be processed (i.e., for encryption or other activities) before being re-queued for delivery to their ultimate recipients. Note: if you have delivery rate limiting on, messages that are not being processed and delivered due to IP Warmup Rate Limiting will show as unprocessed. | [optional] 
**mail_queue_warmup_on** | **Integer** | Values 1 or 0.  When 1, automatic progression of the email processing rate limit is enabled based on sending volume.  When 0, the mail_queue_warmup_rate_hr not automatically change. | [optional] 
**mail_queue_warmup_rate_hr** | **Integer** | Integer value -1 or 20+.  This is the maximum number of messages that will be processed for delivery per hour for IP Warmup reasons.  This value is divided into parts which determine the actual per-5-minute processing rate.   A value of -1 indicates that the processing rate is not limited. | [optional] 
**disks** | **Array&lt;String&gt;** | Array This is an array of hashes, one for each mount point on the server. The hashes for each mount point include the following keywords: - mount – the name of the mount point - size_mb – the size of the disk in MB  - used_mb – the space used in MB - io_used_pct – the disk IO utilization percentage. When this is high, processes that read and write to the drive will be slower. | [optional] 

